package com.pcloud.common.exceptions;

import com.pcloud.common.exceptions.BizException;

/**
 * @描述：异常
 * @作者：linweibin
 * @创建时间：2017年2月16日 上午10:57:49
 * @版本：1.0
 */
public class ExportException extends BizException {

	private static final long serialVersionUID = 1L;
	
	/**
	 * 参数缺失
	 */
	public static final int  PARAM_ERROR= 60010001;
	
	/**
	 * 执行失败
	 */
	public static final int  OPERATE_ERROR= 60010002;
	
	/**
	 * 操作数据库失败
	 */
	public static final int  OPERATE_DATABASE_ERROR= 60010003;
	
	/**
	 *  查询失败
	 */
	public static final int  QUERY_ERROR= 60010004;
	
	
	public ExportException() {

	}

	public ExportException(int code, String msgFormat, Object... args) {
		super(code, msgFormat, args);
	}

	public ExportException(int code, String msg) {
		super(code, msg);
	}

}
